%define libname %mklibname %{name} 0
%define develname %mklibname %{name} -d

Name: zvbi
Version: 0.2.35
Release: %mkrel 5
Summary: Raw VBI, Teletext and Closed Caption decoding library
License: GPL
Group: Video/Utilities
Url: http://zapping.sourceforge.net/
Source0:    http://prdownloads.sourceforge.net/zapping/%{name}-%{version}.tar.bz2
Patch0: zvbi-0.2.31-linkage_fix.diff
Patch2: zvbi-0.2.7-fix-build.patch
Patch5: zvbi-0.2.33-automake-1.13.patch
BuildRequires:	libx11-devel
BuildRequires:	gtk-doc
BuildRequires:	libpng-devel
BuildRequires:	doxygen
BuildRequires:	gettext-devel
Requires: gettext >= 0.10.36

%description
Non versionated files of zvbi, mainly libzvbi0 translations

%package -n %{libname}
Summary: Raw VBI, Teletext and Closed Caption decoding library
Group: System/Libraries
%description -n %{libname}
VBI stands for Vertical Blanking Interval, a gap between the image
data transmitted in an analog video signal. This gap is used to
transmit AM modulated data for various data services like Teletext and
Closed Caption.

The zvbi library provides routines to:
* read from raw VBI sampling devices (both V4L and V4L2 API are supported),
* a versatile raw vbi bit slicer,
* decoders for various data services and basic search,
* demodulate raw to sliced VBI data,
* interpret the data of several popular services.
* render and export functions for text pages.

The library is the vbi decoding backbone of the Zapping Gnome TV viewer
and Zapzilla Teletext browser.


%package -n %{develname}
Summary: Header files for developing apps which will use libzvbi
Group: Development/C
Requires: %{libname} = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel
Obsoletes: %{name}-devel
Obsoletes: %{mklibname zvbi 0 -d}

%description -n %{develname}
Header files and static library of bzip2 functions, for developing apps which
will use the zvbi library (aka libzvbi)

%prep
%setup -q
%patch0 -p1 -b .linkage_fix
%patch2 -p0 -b .build
%patch5 -p1 -b .automake-1_13

%build
autoreconf -fi

%configure2_5x
# gtkdoc fix:
cp /usr/share/gtk-doc/data/gtkdoc-common.pl doc/
%make

%install
%{makeinstall_std}
%find_lang %{name}

# don't ship .a, .la
find %{buildroot} -name *.a | xargs rm -f
find %{buildroot} -name *.la | xargs rm -f
          
%files -f %{name}.lang
%doc COPYING
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%doc AUTHORS COPYING NEWS README
%{_libdir}/libzvbi*.so.*

%files -n %{develname}
%doc BUGS ChangeLog COPYING TODO doc/html
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/libzvbi.h


%changelog
* Thu Feb 04 2016 umeabot <umeabot> 0.2.35-5.mga6
+ Revision: 935464
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.35-4.mga5
+ Revision: 740547
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.35-3.mga5
+ Revision: 690893
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.2.35-2.mga4
+ Revision: 537408
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 luigiwalser <luigiwalser> 0.2.35-1.mga4
+ Revision: 486946
- 0.2.35
- remove upstreamed settime patch

* Sat Sep 07 2013 luigiwalser <luigiwalser> 0.2.34-1.mga4
+ Revision: 475648
- 0.2.34
- remove patches 3 and 4 (fixed upstream)
- add patch (6) from gentoo to fix clock_settime call

* Sun Jun 02 2013 fwang <fwang> 0.2.33-10.mga4
+ Revision: 434700
- rebuild for new libpng

* Mon Jan 14 2013 umeabot <umeabot> 0.2.33-9.mga3
+ Revision: 387782
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 cjw <cjw> 0.2.33-8.mga3
+ Revision: 337629
- patch5: fix build with automake 1.13

* Sun Dec 09 2012 malo <malo> 0.2.33-7.mga3
+ Revision: 328979
- update RPM group

* Sun Sep 11 2011 fwang <fwang> 0.2.33-6.mga2
+ Revision: 142403
- fix build with libpng1.5
- rebuild for new libpng

* Wed Jan 26 2011 ahmad <ahmad> 0.2.33-5.mga1
+ Revision: 40933
- don't ship .a, .la
- imported package zvbi


* Sat Dec 04 2010 Funda Wang <fwang@mandriva.org> 0.2.33-4mdv2011.0
+ Revision: 609506
- fix build

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild
    - rebuilt for 2010.1

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix configure and autoreconf

* Wed May 27 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.2.33-2mdv2010.0
+ Revision: 380124
- Fix build
- Rediff patch

* Sat Nov 08 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.33-1mdv2009.1
+ Revision: 301047
- 0.2.33

* Sat Nov 08 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.31-2mdv2009.1
+ Revision: 301034
- fix linkage
- fix devel package naming
- rebuilt against new libxcb

  + Thierry Vignaud <tv@mandriva.org>
    - new release
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Apr 14 2008 Thierry Vignaud <tv@mandriva.org> 0.2.30-1mdv2009.0
+ Revision: 192905
- new release

* Wed Feb 27 2008 Thierry Vignaud <tv@mandriva.org> 0.2.28-1mdv2008.1
+ Revision: 175796
- new release
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 23 2007 Thierry Vignaud <tv@mandriva.org> 0.2.25-3mdv2008.0
+ Revision: 69349
- kill file require on info-install

* Thu May 03 2007 Adam Williamson <awilliamson@mandriva.org> 0.2.25-2mdv2008.0
+ Revision: 20854
- don't require autoconf / automake any more
- clean spec:
- don't source icons that are not used in build
- don't require libunicode any more (not used)
- require X11-devel not XFree86-devel
- no need to run autoconf / automake prior to build

* Fri Apr 20 2007 Thierry Vignaud <tv@mandriva.org> 0.2.25-1mdv2008.0
+ Revision: 16117
- new release


* Fri Nov 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.2.23-1mdv2007.0
+ Revision: 86945
- Import zvbi

* Fri Nov 24 2006 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.23-1mdv2007.1
- new release

* Wed Jun 28 2006 Stefan van der Eijk <stefan@eijk.nu> 0.2.21-1mdv2007.0
- png rebuild

* Fri May 12 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.2.21-1mdk
- new release
- kill patch 3 (no more needed)

* Thu Nov 03 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.2.17-1mdk
- new release

* Fri Jun 03 2005 Sebastien Savarin <plouf@mandriva.org> 0.2.16-1mdk
- New Release 0.2.16

* Sat May 14 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.13-2mdk
- Rebuild

* Tue Jan 25 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.13-1mdk
- new release

* Mon Jan 03 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.11-1mdk
- new release
- kill patches 0 and 1 (merged upstream)

* Sat Aug 14 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2.8-3mdk
- fix autotools calls

* Tue Aug 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.8-2mdk
- remove debug messages :-)

* Tue Aug 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.8-1mdk
- new release
- patch 3: fix build system again

* Tue Aug 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.7-1mdk
- new release
- redo patch 0
- patch 2: fix build system
- fix build

* Wed Dec 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.5-1mdk
- new release
- rediff patch 1 (partially merged)

